Loading...
Searching...
No Matches
auth_challenger Struct Reference

Authentication challenge. More...

`#include <auth_module.h>`

## Data Fields

int | ach_status
| Response status for challenge response.
char const * | ach_phrase
| Response phrase for challenge response.
msg_hclass_t * | ach_header
| Header class for challenge header.

## Detailed Description

Authentication challenge.

This structure defines what kind of response and challenge header is returned to the user. For example, a server authentication is implemented with 401 response code and phrase along with header class for WWW-Authenticate header in the ach structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.